Subject: Re: [secdir] Secdir last call review of draft-ietf-mpls-lsp-ping-ospfv3-codepoint-04

From: Tero Kivinen <[email-masked]>
Date: Thu, 2 Sep 2021 14:24:00 +0300

Nagendra Kumar Nainar (naikumar) writes:
> The security considerations section just says:
> 
>    This document updates [RFC8287] and does not introduce any additional
>    security considerations.
> 
> And I am not completely sure if that is true, if this document really allows
> using
> IPv6 when it was not possible before. Quite often having multiple address
> families do 
> cause new security considerations too. 
> 
> <Authors> This draft only introduces the codepoint to indicate the protocol is
> OSPFv3. What to do when the protocol is OSPFv3 is defined in RFC8287. So we
> believe that this draft doesn’t introduce any new semantics/actions.
> 
> Also RFC8287 refers to the RFC8029 for its
> security considerations, so perhaps direct reference to RFC8029 would be
> needed here.
> 
> <Authors> Ok. We can clarify that in the section as below:
> 
> “This document updates [RFC8287], [RFC8029] and does not introduce any additional
> 
>    security considerations.
> 
> “

I do not think that is completely correct, as this document is not
marked as updating the RFC 8029. Perhaps something like:

   This document updates [RFC8287] and does not introduce any
   additional security considerations. See [RFC8029] to see generic
   security considerations about the MPLS LSP Ping.

> Please let us know if the above is fine.
> 
> There are several acronyms which are not expanded on their first use
> (including
> in title, and in abstract). Examples of such are IS, TLV, OSPF, IS+IS, IGP,
> SUb-TLV (is the 
> spelling correct in abstract with uppercase u?),  FEC.
> 
> <Authors> “Protocol in the Segment ID Sub-TLV” is the IANA registry name and I
> am not sure if we should try expanding it. For clarity, we will expand the
> rest. Let us know if that solves the concern.

That should be ok.

Btw, looking at the RFC8287 and 8029 they seem to use sub-TLV inside
the text, but in this draft you seem to use both Sub-TLV and sub-TLV.
It would be better to be consistent with it. For example the section
7.1 (both in header and body) has lower case version of "Segment ID
sub-TLV", when section 6 has upper case version "Segment ID Sub-TLV"
in the body. Only the abstract uses the SUb-TLV spelling...

> The use of just RFC numbers in reference format makes the document
> hard to read as not everybody remembers what RFC is RFC number 8287,
> 8402 etc. It would be much nicer to at least on the first time use
> the format where the text refers to RFC with title or similar and
> just has the reference in parenthesis, i.e.:
> 
>    RFC5340 "OSPF for IPv6" ([RFC5340]) describes OSPF version 3 (OSPFv3) to 
>    support IPv6. RFC5838 "Support of Address Families in OSPFv3" ([RFC5838])
>    describes the mechanism to support multiple address families (AFs) in
> OSPFv3.
>    Accordingly, OSPFv3 may be used to advertise IPv6 and IPv4 prefixes.
> 
> is easier for reader than current format:
> 
>    [RFC5340] describes OSPF version 3 (OSPFv3) to support IPv6.
>    [RFC5838] describes the mechanism to support multiple address
>    families (AFs) in OSPFv3. Accordingly, OSPFv3 may be used to
>    advertise IPv6 and IPv4 prefixes.
> 
> <Authors> The use of RFC number alone as the reference is a common use AFAIK
> and we feel that it is not specific to this document. But we don’t want that
> to be a hurdle to move this document forward and if the consensus is to
> include the RFC document name, we are ok.

I agree it is common use, but it makes it hard for outsiders to get
in to reading IETF specifications in general. It makes us (the ietf)
to be felt like insider group, if you do not know the magic language
and can't map the RFC numbers to actual document names in your head,
you can't follow the discussion easily. I understand it is much harder
to get rid of that in the actual discussions in the session etc, but
at least here in the RFCs we can make it easier for new people to read
the drafts when they do not need to be doing mappings between RFC
numbers and the titles in their head, but can see both the number and
name in the text.
-- 
[email-masked]

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Thu, 2 Sep 2021 16:53:46 +0000

Hi Tero,

<Nagendra> It looks good. We will update the document accordingly.

<Nagendra> Good catch. We will update the same for consistency.

I understand it is much harder

<Nagendra> Some of these RFCs are referenced multiple times in the draft. Are you suggesting to have it in the first occurrence or in all the occurences?.

Thanks,
Nagendra

From: Tero Kivinen <[email-masked]>
Date: Thursday, September 2, 2021 at 7:24 AM
To: Nagendra Kumar Nainar (naikumar) <[email-masked]>
Cc: [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>, [email-masked] <[email-masked]>
Subject: Re: Secdir last call review of draft-ietf-mpls-lsp-ping-ospfv3-codepoint-04

That should be ok.

---

From: Tero Kivinen <[email-masked]>
Date: Thu, 2 Sep 2021 20:40:51 +0300

Nagendra Kumar Nainar (naikumar) writes:
> <Nagendra> Some of these RFCs are referenced multiple times in the draft. Are
> you suggesting to have it in the first occurrence or in all the occurences?.

Yes, first reference is good enough. Of course repeating it few times
(i.e., once during the section 1 Introduction, and second time in
section x where the actual text is) does not hurt either.

Repeating it severals times inside same chapter is not really needed,
and might even be harmful. 
-- 
[email-masked]